code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
#
# Copyright 2014 Kitsilano Software Inc.
#
# This file is part of MonoTizen.
#
# MonoTizen is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) a... | kitsilanosoftware/MonoTizen.VMs | bundles/buildbot/setup.sh | Shell | gpl-3.0 | 770 |
sed "s/ReIm_[0-9][0-9][0-9][0-9].dat//" movie.gplt | sed "s/ veff_[0-9][0-9][0-9][0-9].dat//"
| LTCC-UFG/eSPec | tools&scrips/chg_mvie.sh | Shell | gpl-3.0 | 94 |
#!/usr/bin/env bash
set -eux
export ANSIBLE_COLLECTIONS_PATH=$PWD/collection_root_user:$PWD/collection_root_sys
export ANSIBLE_GATHERING=explicit
export ANSIBLE_GATHER_SUBSET=minimal
export ANSIBLE_HOST_PATTERN_MISMATCH=error
unset ANSIBLE_COLLECTIONS_ON_ANSIBLE_VERSION_MISMATCH
# FUTURE: just use INVENTORY_PATH as-... | thnee/ansible | test/integration/targets/collections/runme.sh | Shell | gpl-3.0 | 6,071 |
#!/bin/bash
# This short script detects whether or not a new display was added
# before restarting the i3 window manager. If so, it will run some
# `xrandr' commands to enable it.
# Test whether there is a display which is not running in its
# prefered mode.
if [ $( xrandr --current | grep -E "[[:digit:]]* \+" | wc -... | theGreatWhiteShark/configurations-and-scripts | i3/toggle-display.sh | Shell | gpl-3.0 | 2,225 |
#!/bin/sh
tail -n +5 cv/index.html > _pdf.html
pandoc _pdf.html -o cv/cv-stefan_jonker.pdf
rm _pdf.html
| sgnl02/personal-site | _scripts/cv.sh | Shell | gpl-3.0 | 105 |
#!/bin/bash
# Original version of this script based on sample sourced from Enlightenment
# Contributing page: http://enlightenment.org/p.php?p=contribute&l=en
##############
# WARNING
# This script is nasty hack with no error control.
# This script assumes you have installed the build dependencies recommended.
# It a... | craigem/Scripts | e19/build-e19-modules.sh | Shell | gpl-3.0 | 1,497 |
#Search makefile for automake
#find . -name Makefile.am -print
# ./configure \
# --prefix=/usr \
# --mandir=/usr/share/man \
# --infodir=/usr/share/info \
# && make && make install
#Using GNU Stow to manage source installs, .stowrc but for now with EXPORT
#Structure base
#For make folders use
#mkdir -p... | flaketill/flaketill-says | test/manpage_test.sh | Shell | gpl-3.0 | 1,419 |
git fetch . HEAD:prod &&
git push origin --all && git push origin --tags &&
ansible-playbook -t prod playbook.yml
| aliencyborg/tilltax-api | deploy.sh | Shell | gpl-3.0 | 118 |
#!/bin/sh
#An example script for submiting a GPI-2 test (proc_init.bin) to
#a SGE's queue using one process per node and enabling NUMA.
#It is assumed the mpi PE is setup with a `round_robin` allocation rule.
#$ -S /bin/sh
#$ -N gpi_test
#$ -pe mpi 2
#$ -V
#$ -cwd
#$ -w e
gaspihome=$HOME/local
gaspirun=$gaspihome/bin... | cc-hpc-itwm/GPI-2 | docs/batch_examples/submit_to_sge.sh | Shell | gpl-3.0 | 592 |
#!/usr/bin/env bash
# Copyright (c) 2017 Red Hat, Inc. All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later ve... | yahcong/kdump-test | dump-lvm/runtest.sh | Shell | gpl-3.0 | 1,262 |
#!/bin/bash
####
# @author stev leibelt <artodeto@bazzline.net>
# @since 2016-09-03
####
IS_DRY_RUN=0
function execute_or_output_command_call ()
{
if [[ $IS_DRY_RUN -eq 1 ]];
then
echo "$1"
else
$1
fi
}
execute_or_output_command_call "echo \"foo\""
IS_DRY_RUN=1
execute_or_output_comma... | stevleibelt/examples | bash/function/execute_or_output_command_call.sh | Shell | gpl-3.0 | 343 |
#!/bin/bash
################################################################
# LAB 1 PART 2 GRADING SCRIPT
################################################################
#
# The script needs to be in same directory as the SimpleC File
# and Expects there to be a tests folder with all of the
# provided c files. The p... | trankq/Coursework | cs352/lab1-src/test_tok_release.sh | Shell | gpl-3.0 | 4,220 |
#!/bin/bash
echo "Настройка операционной системы "ОСь"..."
. ./functions.sh
. ./env_vars.sh
mv /etc/hosts /etc/hosts.$DATETIME
cat <<EOF > /etc/hosts
127.0.0.1 localhost localhost.localdomain localhost4 localhost4.localdomain4
$IP $(hostname) $(hostname -A)
EOF
echo "Загрузка пакетов "ОСи" и создание,настройка репо... | grikon/samba-usefull | setup_samba.sh | Shell | gpl-3.0 | 12,816 |
#!/bin/bash
if [ $# -eq 2 ]
then
# Variables.
netbeansProjectFolder=$1
outputFolder=$2
pkg="automatictestingtool"
ATTPath="${outputFolder}ATT/"
srcPath="${ATTPath}src/"
pkgPath="${srcPath}$pkg/"
buildPath="${ATTPath}build/"
testsPath="${buildPath}$pkg/tests/"
# Creates the ATT directory in the use... | psf563/att | it.sergioferraresi.att/exec.sh | Shell | gpl-3.0 | 4,211 |
# 810_create_pxelinux_cfg.sh
#
# create pxelinux config on PXE server for Relax-and-Recover
#
# This file is part of Relax-and-Recover, licensed under the GNU General
# Public License. Refer to the included COPYING for full text of license.
# we got PXE_KERNEL and PXE_INITRD set in the previous script
if [[ ! -z "$PX... | rear/rear | usr/share/rear/output/PXE/default/810_create_pxelinux_cfg.sh | Shell | gpl-3.0 | 4,325 |
function hashMap {
function fromList {
required scope $1
local scope=$1
required varName $2
local varName=$2
required name $3
local name=$3
shift 3
if ! equal $scope local ; then
local gflag=g
else
local gflag=''
... | eriksank/bashOfGaps | lib/hashMap.sh | Shell | gpl-3.0 | 4,528 |
#!/bin/sh
echo Grabbing fresh repository data...
sudo apt-get -qq update
echo Updated repositories. Grabbing git files for required programs...
git clone --quiet https://github.com/s-a/discord-shell-slave.git && git clone --quiet https://github.com/Just-Some-Bots/MusicBot.git
echo Grabbed discord-shell-slave and MusicB... | lounsberry/musicbotshell | install.sh | Shell | gpl-3.0 | 361 |
cd out
git clone https://github.com/probonopd/AppImageKit.git
sudo ./AppImageKit/build.sh
wget -c --trust-server-names https://download.fedoraproject.org/pub/fedora/linux/releases/23/Workstation/x86_64/iso/Fedora-Live-Workstation-x86_64-23-10.iso
wget -c --trust-server-names http://releases.ubuntu.com/14.04.4/ubuntu-... | ParkitectNexus/ParkitectNexusClient | AppImage/test.sh | Shell | gpl-3.0 | 898 |
#!/bin/bash
#
src=${BASH_SOURCE%/*}
restore_src=$1
archive_name="local-sensitive"
restore_dest=/opt/poppypop/
sudo $src/../restore-dir.sh $archive_name "$restore_src" "$restore_dest"
if [ $? -eq 0 ]
then
echo "Sensitive: Ok"
else
echo "Sensitive: Fail"
exit 1
fi
read -p "Change owner to: [empty does n... | PoppyPop/docker | system/backup-scripts/scripts/sensitiveconf/restore-sensitive.sh | Shell | gpl-3.0 | 453 |
gfortran -c matrix_inv.f95 matrix_tools.f95
gfortran matrix_inv.o matrix_tools.o | wcdawn/matrix_math | matrix_solve/quick_build.sh | Shell | gpl-3.0 | 80 |
#!/bin/sh
ADB_PATH="$ANDROID_HOME/platform-tools"
PACKAGE_NAME="dev.jriley.hackernews.debug"
NOT_PRESENT="List of devices attached"
ADB_FOUND=`${ADB_PATH}/adb devices | tail -2 | head -1 | cut -f 1 | sed 's/ *$//g'`
BASENAME=$(basename $1)
if [[ ${ADB_FOUND} == ${NOT_PRESENT} ]]; then
echo "Make sure a device is conne... | jriley/HackerNews | tools/push-database.sh | Shell | mpl-2.0 | 906 |
#!/bin/bash
mkdir -p data
cd data
# get the zip files with the images
wget http://fbarc.stadt-berlin.de/FIS_Broker_Atom/Berlin_um/Berlin1650.zip
wget http://fbarc.stadt-berlin.de/FIS_Broker_Atom/Berlin_um/Berlin1690.zip
wget http://fbarc.stadt-berlin.de/FIS_Broker_Atom/Berlin_um/Berlin1750.zip
wget http://fbarc.stadt... | jochenklar/entwicklung-berlins | bin/fetch.sh | Shell | agpl-3.0 | 2,300 |
#!/bin/bash
# Build
echo 'Building'
rm -rf build/server
tsc -p server
if [[ $? -eq 1 ]]; then
echo 'Build failed'
exit 1
fi
VINIMAY_ENV=test ./resetdb.sh
./starTestInstances.sh start
codes=""
newman run tests/me.json
codes="$codes $?"
newman run tests/posts.json
codes="$codes $?"
newman run tests/comments.json... | JosephCaillet/vinimay | run_tests.sh | Shell | agpl-3.0 | 860 |
#!/bin/bash
# Duplicate the output file for equilibrium position to the equilibrium output file for other normal modes.
# Select the output file while running the program.
# Program will ask for number of modes
# Program will ask for the prefix, for example, hyper_ccsd_c_
input="$1" # the input file.
... | ankit7540/dalton_extracts | DFT/duplicate_0_0_file.sh | Shell | agpl-3.0 | 627 |
#!/usr/bin/env bash
. ./wvtest-bup.sh || exit $?
. t/lib.sh || exit $?
set -o pipefail
top="$(WVPASS pwd)" || exit $?
tmpdir="$(WVPASS wvmktempdir)" || exit $?
export BUP_DIR="$tmpdir/bup"
export GIT_DIR="$tmpdir/bup"
bup() { "$top/bup" "$@"; }
export TZ=UTC
WVPASS bup init
WVPASS cd "$tmpdir"
WVPASS mkdir src
W... | tjanez/bup | t/test-ls.sh | Shell | lgpl-2.1 | 6,831 |
#!/bin/bash
# ver 0.2
# wrapper to run a workflow
# Copyright (C) 2005, University of Alaska Fairbanks
# Biotechnology Computing Research Group
# https://biotech.inbre.alaska.edu
# jlong@alaska.edu
# All rights reserved.
# This program is free software; you can redistribute it and/or
# modify it under the terms of ... | jlong777/wflow | cgi/run_workflow.sh | Shell | lgpl-2.1 | 11,757 |
#! /bin/ksh
# Script : Salut.sh
# Description : Dit bonjour
# ID DECLENCHE : salut
#############################################################
# VARIABLES
#############################################################
#############################################################
# DIFFUSION DE LA REPONSE
##########... | kimous/Jarvis | plugins/Salut.sh | Shell | lgpl-3.0 | 541 |
# applications for text-for-speech wine and Windows TTSApp.exe
# Linux pico2wave program. In Ubuntu 14.04 it's part of libttspico-utils
# pico2wave --wave=test.wav "$(cat filename.txt)"
#converting windows files
#!/bin/bash
ARG=$1
for i in "${ARG}"/* ;
do
wine ttsUtil.exe "${i}" -voice=nick -output="${i}".wav
done... | Aurametrix/Alg-U | ASR/wine.sh | Shell | unlicense | 382 |
#!/bin/bash
set -e
url=http://ec2-52-28-130-84.eu-central-1.compute.amazonaws.com/config/scoring.project
curl -H "Content-Type: application/json; charset=ISO-8859-1" -X POST -d @scoring.project.js --header "X-Organizations: galanto" $url
| marky-mark/catwatch | catwatch-score/scoring.project.sh | Shell | apache-2.0 | 242 |
useradd -m $VAGRANT_USER
usermod -p `pwhash $VAGRANT_PASSWORD` -G wheel $VAGRANT_USER
mkdir -p /home/$VAGRANT_USER/.ssh
pkg_add wget-1.16.3
wget --no-check-certificate -O - https://raw.github.com/mitchellh/vagrant/master/keys/vagrant.pub >> /home/$VAGRANT_USER/.ssh/authorized_keys
chown -R $VAGRANT_USER /home/$VAGRANT_... | upperstream/packer-templates | netbsd/provisioners/vagrant.sh | Shell | apache-2.0 | 599 |
#!/bin/sh
# Do not use nounset here
# Do not use errexit here
# Roses are red, violets are blue, sugar is sweet, and so are you.
# Enjoy your usual ratio: 5% of lines do the actual work, and the rest are there to make sure they work. (It's like 1%, actually)
# Alternative scripts don't need know about what source/targ... | dreamer2908/YAXBPC | YAXBPC/CopyMe/apply_patch_linux_alternative.sh | Shell | apache-2.0 | 2,393 |
#!/bin/bash
#This is a jenkins script
cd /opt/infrastructure/docker/images/mobile-survey/mobile-survey-webapp &&\
git pull origin master &&\
docker build -t mobile-survey /opt/infrastructure/docker/images/mobile-survey/
| ecohealthalliance/infrastructure | jenkins/build-mobile-survey.sh | Shell | apache-2.0 | 224 |
#!/bin/bash
#
# Build Docker images for Kubebench example tf-cnn.
#
# build_image.sh ${SRC_DIR} ${DOCKERFILE} ${IMAGE} ${VERSION}
set -ex
SRC_DIR=$(realpath $1)
DOCKERFILE=$(realpath $2)
IMAGE=$3
VERSION=$4
TAG=${REGISTRY}/${REPO_NAME}/${IMAGE}:${VERSION}
echo "Setup build directory"
export BUILD_DIR=`mktemp -d -p $(... | kubeflow/kubebench | build/images/examples/tf-cnn/build_image.sh | Shell | apache-2.0 | 844 |
#!/bin/bash
thisDir=$(dirname $0)
thisDir=$(readlink -f "$thisDir")
source $thisDir/load-spark-config.sh
resourceFile=$1
resourceFileName="${resourceFile##*/}"
out=$(ssh $sparkUser@$sparkMaster 'ls resources/'$resourceFileName' | wc -l')
if [ ! $out = "1" ]; then
${thisDir}/spark-deploy-resource.sh $resourceFil... | mbalassi/streaming-performance | src/test/resources/Performance/spark-deploy-resource-if-needed.sh | Shell | apache-2.0 | 325 |
# Manifest for Dockerfiles creation
# every dest path will be prefixed by $DESTDIR/$version
# Files containing distgen directives
DISTGEN_RULES="
src=src/cccp.yml
dest=cccp.yml;
src=src/README.md
dest=README.md;
src=src/root/opt/app-root/etc/scl_enable
dest=root/opt/app-root/etc/scl_enable;
... | openshift/sti-python | manifest.sh | Shell | apache-2.0 | 4,222 |
#!/bin/bash
{ echo 'content.location.href="file:///home/pi/wall_display/views/sports.html"'; echo 'window.fullScreen = true'; echo 'document.getElementById("toolbar-menubar").hidden = true'; sleep 10 } | telnet localhost 7070
| jwalthour/wall_display | set_view_4.sh | Shell | apache-2.0 | 227 |
#/usr/bin/env bash
sudo pip install Pygments
npm install -g typescript
gem install pygments.rb
gem install jekyll
jekyll build
| Spirals-Team/codEnergy | scripts/install.sh | Shell | apache-2.0 | 130 |
#!/bin/bash
#
# Copyright 2015 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by... | kamalmarhubi/bazel | src/test/shell/bazel/generate_workspace_test.sh | Shell | apache-2.0 | 5,511 |
## Globals that add classes
# Globals can also be used to add classes to roles. in the previous section we saw that we can swap which class is included by a role based on a global, but what if you want to sometimes add a class, and sometimes have nothing at all?
# An example of this is including debugging tools. Let'... | bodepd/scenario_node_terminus | tutorials/06globals2.sh | Shell | apache-2.0 | 1,797 |
# ----------------------------------------------------------------------------
#
# Package : slf4j-log4j12
# Version : 1.7.30, 2.0.0-alpha1
# Source repo : https://github.com/qos-ch/slf4j
# Tested on : RHEL 7.6
# Script License : Apache License Version 2.0
# Maintainer : Pratham Murkute <prathamm@us.ibm.com>
#
... | ppc64le/build-scripts | s/slf4j-log4j12/slf4j_log4j12_rhel_7.6.sh | Shell | apache-2.0 | 2,519 |
#!/bin/bash
#
# Script to create a signed container. Intended for op-build integration.
#
# Defaults, initial values
P=${0##*/}
SIGN_MODE=local
KMS=signframework
HW_KEY_ARGS=""
SW_KEY_ARGS=""
HW_SIG_ARGS=""
SW_SIG_ARGS=""
VERIFY_ARGS=""
DEBUG_ARGS=""
ADDL_ARGS=""
RC=0
#
# Functions
#
usage () {
echo ""
ec... | hellerda/sb-signing-utils | crtSignedContainer.sh | Shell | apache-2.0 | 37,556 |
#!/bin/bash
#
# Copyright (C) 2017 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0(the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by ap... | google/android-cuttlefish | host/deploy/install_zip.sh | Shell | apache-2.0 | 1,686 |
module load global/cluster
spherepath=$1
datapath=$2
resultspath=$3
homepath=$4
nb_spheres=`cat $resultspath/nb_spheres.txt`
for i in `seq $nb_spheres`;
do
X=`awk "NR=="$i $resultspath/centresX.txt`
Y=`awk "NR=="$i $resultspath/centresY.txt`
Z=`awk "NR=="$i $resultspath/centresZ.txt`
R=`awk "NR=="$i $resultspath/... | DiamondLightSource/auto_tomo_calibration-experimental | measure_resolution/selector_loop.sh | Shell | apache-2.0 | 468 |
#!/usr/bin/env bash
docker build -t buildbox .
docker run -i --rm \
-v "$(pwd)":/workspace \
--user "$(id -u):$(id -g)" \
-e DISPLAY=unix:0.0 \
-v /tmp/.X11-unix:/tmp/.X11-unix:ro \
buildbox \
bash -c "Xvfb :1 -screen 0 1024x768x16 &> xvfb.log & DISPLAY=:1.0 mvn clean install -Dmaven.repo.loca... | marc-christian-schulze/structs4java | build.sh | Shell | apache-2.0 | 338 |
#!/bin/bash
i=0
while [ $i -le 50 ]
do
dd if=/dev/zero of='file'$i'00k.blob' bs=$(( i * 102400 )) count=1
i=$[$i+5]
done | mixisbad/qos | apps/qos/nweb/gen_files/gen.sh | Shell | apache-2.0 | 128 |
# -----------------------------------------------------------------------------
#
# Package : pyasn1_modules
# Version : 0.2.8
# Source repo : https://github.com/etingof/pyasn1-modules
# Tested on : RHEL 8.3
# Script License: Apache License, Version 2 or later
# Maintainer : BulkPackageSearch Automation <sethp@us.ibm.c... | ppc64le/build-scripts | p/pyasn1_modules/pyasn1_modules_rhel_8.3.sh | Shell | apache-2.0 | 3,799 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | shashidharatd/kubernetes | cluster/gce/config-test.sh | Shell | apache-2.0 | 10,759 |
#! /bin/bash
#
# Copyright (c) 2013-2016 Jens Deters http://www.jensd.de
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the
# License. You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by a... | Jerady/dockerw | dockerw/dockerw.sh | Shell | apache-2.0 | 4,465 |
set -e
cd "$(dirname $0)/SOURCES"
wget -i ../fetch-list
cd ..
sha512sum -c sha512sums.txt
| CCI-MOC/distro-packages | fetch.sh | Shell | apache-2.0 | 90 |
#!/bin/bash -eux
########################################################################
#
# title: Deploy an image for MM DevPaas HeadEnd Component
# author: Marco Maccio (http://www.marmac.name)
# url: http://github.com/marcomaccio/devpaas
# description: Deploy DEVPAAS server as Virtu... | marcomaccio/devpaas | devpaas-vm/packer/VBOX-deploy-image-in-vbox.sh | Shell | apache-2.0 | 2,998 |
#!/usr/bin/env bash
# Copyright 2021 The Knative Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable ... | knative-sandbox/net-gateway-api | test/kind-conformance-istio.sh | Shell | apache-2.0 | 1,687 |
#!/bin/bash
sudo firewall-cmd --list-all
| zhuwbigdata/hadoop-admin-utils | firewall-utils/listAllFW.sh | Shell | apache-2.0 | 41 |
g++ x.cpp -o x -licuio
| rfree/misc | icu_windows1250/build.sh | Shell | bsd-2-clause | 24 |
#!/bin/sh
# setup.sh
# Cumulus
#
# Created by John Clayton on 10/16/11.
# Copyright (c) 2011 Fivesquare Software, LLC. All rights reserved.
ROOT=`dirname __FILE__`
sudo gem install bundle
bundle install --path "$ROOT/vendor/bundle" | FivesquareSoftware/Cumulus | Tests/Server/setup.sh | Shell | bsd-3-clause | 238 |
#!/bin/sh
#
# Copyright (c) 2012 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#
# This script can change key (usually developer keys) and kernel config
# of kernels on an disk image (usually for SSD but also works for... | ccaapton/vboot_reference | scripts/image_signing/make_dev_ssd.sh | Shell | bsd-3-clause | 15,671 |
#!/bin/sh
set -e
BUILD_SCRIPT_LOCATION=$(cd "$(dirname "$0")"; pwd)
. ${BUILD_SCRIPT_LOCATION}/../jenkins/common.sh
. ${BUILD_SCRIPT_LOCATION}/common.sh
# sanity checks
[ ! -z $WORKSPACE ] || die "WORKSPACE missing"
[ ! -z $CVMFS_BUILD_LOCATION ] || die "CVMFS_BUILD_LOCATION missing"
[ ! -z $CVM... | cernvm/ci-scripts | cvmfs/incremental_build.sh | Shell | bsd-3-clause | 1,747 |
#/bin/bash
# Creates the flutter-engine-ssh-key secret.
set -e -x
source ../../kube/config.sh
if [ "$#" -ne 1 ]; then
echo "The argument must point to the id_rsa file."
echo ""
echo "./create-flutter-engine-ssh-key-secret.sh "
exit 1
fi
SECRET_LOCATION=$1
SECRET_NAME="flutter-engine-ssh-key"
kubectl create... | google/skia-buildbot | autoroll/bin/create-flutter-engine-ssh-key-secret.sh | Shell | bsd-3-clause | 390 |
#!/bin/sh
PROCESS="$1"
while :
do
RESULT=`ps -p ${PROCESS} -o comm=`
if [ "${RESULT:-null}" = null ]; then
break
else
echo "-"
sleep 5
fi
done
# see https://github.com/travis-ci/travis-build/blob/master/lib/travis/build/templates/header.sh
# for what travis-ci does
| maverickg/utils | shell/wait4.sh | Shell | bsd-3-clause | 290 |
#!/bin/bash
# Script to set up a Django project on Vagrant.
# Installation settings
PROJECT_NAME=$1
DB_NAME=$PROJECT_NAME
VIRTUALENV_NAME=$PROJECT_NAME
PROJECT_DIR=/home/vagrant/$PROJECT_NAME
VIRTUALENV_DIR=/home/vagrant/.virtualenvs/$PROJECT_NAME
LOCAL_SETTINGS_PATH="/$PROJECT_NAME/settings/local.py"
PGSQL_VERSI... | Rawtechio/vagrant-django-template | etc/install/install.sh | Shell | bsd-3-clause | 3,097 |
# $FreeBSD$
REGRESSION_START($1)
echo '1..23'
REGRESSION_TEST(`b', `printf "abc%b%b" "def\n" "\cghi"')
REGRESSION_TEST(`d', `printf "%d,%5d,%.5d,%0*d,%.*d\n" 123 123 123 5 123 5 123')
REGRESSION_TEST(`f', `printf "%f,%-8.3f,%f,%f\n" +42.25 -42.25 inf nan')
REGRESSION_TEST(`l1', `LC_ALL=en_US.ISO8859-1 printf "%d\n" ... | TigerBSD/TigerBSD | FreeBSD/usr.bin/printf/tests/regress.sh | Shell | isc | 1,433 |
#!/bin/bash
set -eux
cd "$(dirname "$0")"
sudo apt-get update
sudo apt-get install -y default-jdk maven git
| selvasingh/azure-sdk-for-java | sdk/spring/azure-spring-boot-test-keyvault/install_apps.sh | Shell | mit | 111 |
#!/bin/bash
th model-1_layer-variable.lua -hidden 16 -batch 16 -rate 0.10 -iter 12 \
| tee model-1_layer-variable.out
| kbullaughey/lstm-play | toys/lstm/model-1_layer-variable.sh | Shell | mit | 121 |
#!/bin/sh
cd "$( dirname "${BASH_SOURCE[0]}" )/.."
npm run install_testapp
cd website
# Check that directory is clean
if [ $(git status --porcelain | wc -l) != "0" ]; then
echo -e "\033[0;31m" 1>&2 # Red
echo "We cannot push the generated docs unless the working directory is" 1>&2
echo "clean. Either commit yo... | manoj9788/protractor | scripts/generate-docs.sh | Shell | mit | 1,598 |
#!/bin/bash
if ! command -V npm >/dev/null 2>&1; then
curl -sL https://deb.nodesource.com/setup_6.x | sudo -E bash -
sudo apt-get install -y nodejs
echo "export PATH=\$PATH:node_modules/.bin" >> "$VHOME/.profile"
fi
| Staffjoy/v2 | vagrant/npm.sh | Shell | mit | 228 |
#!/bin/bash
FN="TENxBrainData_1.8.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.11/data/experiment/src/contrib/TENxBrainData_1.8.0.tar.gz"
"https://bioarchive.galaxyproject.org/TENxBrainData_1.8.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-tenxbraindata/bioconductor-tenxbraindata_1.8.0... | roryk/recipes | recipes/bioconductor-tenxbraindata/post-link.sh | Shell | mit | 1,313 |
#!/bin/bash
FN="MeSH.db_1.13.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.11/data/annotation/src/contrib/MeSH.db_1.13.0.tar.gz"
"https://bioarchive.galaxyproject.org/MeSH.db_1.13.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-mesh.db/bioconductor-mesh.db_1.13.0_src_all.tar.gz"
"https:... | roryk/recipes | recipes/bioconductor-mesh.db/post-link.sh | Shell | mit | 1,396 |
#!/bin/bash
#################################
######### VIMPRESSIONIST ########
#################################
set -e
echo "Coming soon..."
exit 1
# =============================
# LOG
# =============================
log() {
type="$1"
str="$2"
case "$type" in
err) echo -e "\033[0;31m$str\03... | Badacadabra/Vimpressionist | install.sh | Shell | mit | 11,822 |
#!/bin/bash
# create multiresolution windows icon
ICON_SRC=../../src/qt/res/icons/rotocoin.png
ICON_DST=../../src/qt/res/icons/rotocoin.ico
convert ${ICON_SRC} -resize 16x16 rotocoin-16.png
convert ${ICON_SRC} -resize 32x32 rotocoin-32.png
convert ${ICON_SRC} -resize 48x48 rotocoin-48.png
convert rotocoin-16.png rotoco... | rapecoin/rapecoin | share/qt/make_windows_icon.sh | Shell | mit | 359 |
#!/bin/bash
# Script Name: AtoMiC NZBHydra systemd update
sudo sed -i "s@ExecStart=/path-to/python2 /path-to/nzbhydra/nzbhydra.py --nobrowser@ExecStart=/usr/bin/python2 $APPPATH/nzbhydra.py --nobrowser --config $APPSETTINGS --database $APPPATH/nzbhydra.db@g" /etc/systemd/system/$APPSYSTEMD || { echo -e $RED'Modifying ... | htpcBeginner/AtoMiC-ToolKit | nzbhydra/nzbhydra-systemd-update.sh | Shell | mit | 751 |
#!/bin/sh
set -eu
# No args.
# Example usage: sh mediadevices-disable.sh
# Disable webcam.
sudo modprobe -r uvcvideo
# Disable microphone.
amixer set Capture nocap
amixer set Capture 0%
amixer set Mic mute
amixer set Mic 0%
| iterami/Scripts | ubuntu/mediadevices-disable.sh | Shell | cc0-1.0 | 227 |
#!/bin/sh
echo "exiting existing components..."
rtexit /localhost/`hostname`.host_cxt/JuliusRTC0.rtc
rtexit /localhost/`hostname`.host_cxt/MARYRTC0.rtc
rtexit /localhost/`hostname`.host_cxt/ConsoleIn0.rtc
rtexit /localhost/`hostname`.host_cxt/PulseAudioOutput0.rtc
sleep 3
echo "launching components..."
gnome-terminal... | yosuke/OpenHRIVoice | examples/juliusrtc/run-de.sh | Shell | epl-1.0 | 1,399 |
#!/bin/sh
test_description='Test diff indent heuristic.
'
GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME=main
export GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME
. ./test-lib.sh
. "$TEST_DIRECTORY"/diff-lib.sh
# Compare two diff outputs. Ignore "index" lines, because we don't
# care about SHA-1s or file modes.
compare_diff () {
sed... | tacker66/git | t/t4061-diff-indent.sh | Shell | gpl-2.0 | 10,651 |
#!/bin/bash
#
# Should be run with a root user or with a tap-creator with root owner and sticky bit setted.
#
#
# +----------+
# | external |
# | Linux |
# | Host |
# | |
# | "thetap" |
# +----------+
# | 10.0.0.1 |
# +----------+
# | node0 node1
# | ... | mingit/mstcp | arch/sim/test/buildtop/source/ns-3-dce/example/ccnx/run-tap-udp-echo.sh | Shell | gpl-2.0 | 1,744 |
. inc/common.sh
#The result to return
RESULT=0
function repeat_until_new_arch_log_created
{
local arch_log_dir=$1
local command=$2
local stop_lsn=`run_cmd $MYSQL $MYSQL_ARGS test -e 'SHOW ENGINE INNODB STATUS\G'|grep 'Log sequence number'|awk '{print $4}'`
local old_arch_logs_count=`ls -al $arch_log_dir/| wc -l`
... | janlindstrom/percona-xtrabackup | storage/innobase/xtrabackup/test/t/xb_apply_archived_logs.sh | Shell | gpl-2.0 | 11,623 |
#!/bin/bash -
# libguestfs
# Copyright (C) 2009 Red Hat Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This ... | pombredanne/libguestfs | tests/protocol/test-qemudie-synch.sh | Shell | gpl-2.0 | 1,280 |
#!/usr/bin/env bash
echo "warning: Detected Prebuild Step"
cp ${BUDDYBUILD_SECURE_FILES}/wpcom_app_credentials ~/.wpcom_app_credentials
cp ${BUDDYBUILD_SECURE_FILES}/wpcom_internal_app_credentials ~/.wpcom_internal_app_credentials
cp ${BUDDYBUILD_SECURE_FILES}/wpcom_alpha_app_credentials ~/.wpcom_alpha_app_credentials... | ScoutHarris/WordPress-iOS | WordPress/buddybuild_prebuild.sh | Shell | gpl-2.0 | 434 |
#!/usr/bin/env bash
# Log installation
exec > >(tee install.log) 2>&1
# Allow user to specify install path
# or default to current directory
INSTALL_PATH="$PWD/miniconda"
if [ ! -z "$1" ]
then
INSTALL_PATH="$1"
INSTALL_PATH="$(cd $(dirname "$1") && pwd)/$1"
fi
# Fail if any command fails
set -e
set -v
# We ... | VDBWRAIR/bio_bits | install.sh | Shell | gpl-2.0 | 2,221 |
#!/bin/bash
[ -z "$1" ] && echo "Usage: $0 valgrind-arguments" >&2 return 1
dir="`dirname "$0"`"
valgrind \
--leak-check=full \
--track-fds=yes \
--show-reachable=yes \
--suppressions="$dir"/valgrind-ignore-ssl-snappy \
"$@" \
|& "$dir"/valgrind-output-color
| speidy/redemption | tools/valgrind-filter/run-bin.sh | Shell | gpl-2.0 | 281 |
# Only run if this is an interactive bash session
if [ -n "$PS1" ] && [ -n "$BASH_VERSION" ]; then
echo "Press enter to activate this console"
read answer
# The user should have chosen their preferred keyboard layout
# in tails-greeter by now.
. /etc/default/locale
. /etc/default/keyboard
sudo setu... | azumi-/amnesia | config/chroot_local-includes/etc/profile.d/setup_console.sh | Shell | gpl-3.0 | 328 |
source /cvmfs/ilc.desy.de/sw/x86_64_gcc82_centos7/v02-02-01/init_ilcsoft.sh
| akiyamiyamoto/Tutorial | PartTwo/init_ilcsoft.sh | Shell | gpl-3.0 | 76 |
#!/bin/sh
package_name="SuperTux"
package_version="$(git describe --tags --match "?[0-9]*.[0-9]*.[0-9]*")"
xgettext --keyword='_' --keyword='__:1,2' -C -o data/locale/main.pot \
$(find src -name "*.cpp" -or -name "*.hpp") \
--add-comments=l10n \
--package-name="${package_name}" --package-version="${package_vers... | tobbi/supertux | makepot.sh | Shell | gpl-3.0 | 2,559 |
#!/bin/bash -f
xv_path="/opt/Xilinx/Vivado/2016.2"
ExecStep()
{
"$@"
RETVAL=$?
if [ $RETVAL -ne 0 ]
then
exit $RETVAL
fi
}
echo "xvlog -m64 --relax -prj tb_FPU_PIPELINED_FPADDSUB_vlog.prj"
ExecStep $xv_path/bin/xvlog -m64 --relax -prj tb_FPU_PIPELINED_FPADDSUB_vlog.prj 2>&1 | tee compile.log
| GSejas/Karatsuba_FPU | Resultados/FPSUB/FPADDFPSUB_Pipelined/FPADDFPSUB_Pipelined.sim/sim_1/synth/func/compile.sh | Shell | gpl-3.0 | 293 |
#!/bin/bash
#
# mirrorcreator.com module
# Copyright (c) 2011-2014 Plowshare team
#
# This file is part of Plowshare.
#
# Plowshare is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the Licen... | dr3mro/plowshare | src/modules/mirrorcreator.sh | Shell | gpl-3.0 | 7,132 |
#!/bin/sh
DOMAIN='me.vorotnikov.Obozrenie'
LOCALEDIR='locale'
python3 setup.py compile_catalog -D $DOMAIN -d $LOCALEDIR
| obozrenie/obozrenie | compile_translations.sh | Shell | gpl-3.0 | 120 |
#! /bin/bash
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
# arg $1 package URL
# arg $2 cookbook template name
# arg $3 no-qos or qos
function copy_template() {
... | choreos/enactment_engine | EnactmentEngine/src/main/resources/chef-solo/prepare_deployment.sh | Shell | mpl-2.0 | 1,420 |
#!/bin/bash
lcov --capture --directory . --output-file coverage.info
lcov --directory . --output-file coverage.info --remove coverage.info "/usr/*" "*.moc" "test/*"
genhtml coverage.info
| ppekala/injeqt | test/coverage.sh | Shell | lgpl-2.1 | 188 |
#!/bin/bash
#
# Copyright (c) 2019, NVIDIA CORPORATION. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless req... | lablup/sorna-repl | vendor/benchmark/run_and_time.sh | Shell | lgpl-3.0 | 1,922 |
#!/bin/bash
set -e
apt-get update
apt-get install gcc libssl-dev pkg-config capnproto git -y
cd /root
curl https://sh.rustup.rs -sSf | sh -s -- -y
. /root/.cargo/env
git clone https://github.com/hjr3/weldr.git
cd /root/weldr
cargo build --release
| hjr3/alacrity | benchmark/install.sh | Shell | apache-2.0 | 249 |
. ../lib.sh
testSimpleExpansion() {
set -e
d=`mktemp -d`
[ -n $d ]
[ -d $d ]
export y=67890
expand_conf ./gen_conf $d
set +e
grep "HELLO" $d/test1.conf >/dev/null
assertEquals 0 $?
grep "file.*test2.conf" $d/test2.conf >/dev/null
assertEquals 0 $?
grep "here testme here" $d/test3.conf >/dev... | aschults/bluebox_squid | integration_test/base_squid.sh | Shell | apache-2.0 | 1,360 |
#!/bin/bash
# Build and tag images
docker rmi redfish-simulator_0.99.0a
docker build -t "redfish-simulator_0.99.0a" .
| bcornec/python-redfish | dmtf/mockup_0.99.0a/buildImage.sh | Shell | apache-2.0 | 119 |
#!/usr/bin/env bash
# Builds a "cleanroom" Docker container to run BATS tests in, and then
# executes the tests in that container, mounting the tests and Habitat
# binaries as needed.
if [ $# -eq 0 ] ; then
TESTS="."
else
TESTS="$*"
fi
docker build -t hab-bats-cleanroom "$(pwd)"/test/integration
docker run ... | rsertelon/habitat | run-bats.sh | Shell | apache-2.0 | 786 |
#!/bin/bash
# Copyright 2015 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applic... | Ye-Yong-Chi/codeworld | run.sh | Shell | apache-2.0 | 937 |
#!/bin/bash
set -o errexit
set -o nounset
set -o pipefail
OS_ROOT=$(dirname "${BASH_SOURCE}")/../..
source "${OS_ROOT}/hack/util.sh"
source "${OS_ROOT}/hack/cmd_util.sh"
os::log::install_errexit
# Cleanup cluster resources created by this test
(
set +e
oc delete all,templates --all
exit 0
) &>/dev/null
# Thi... | spinolacastro/origin | test/cmd/newapp.sh | Shell | apache-2.0 | 17,164 |
#!/bin/bash
#/*
# * Copyright (c) 2012 Adobe Systems Incorporated. All rights reserved.
# *
# * Permission is hereby granted, free of charge, to any person obtaining a
# * copy of this software and associated documentation files (the "Software"),
# * to deal in the Software without restriction, including without limita... | taylorking/apigateway | init.sh | Shell | apache-2.0 | 2,738 |
#!/usr/bin/env bash
# Copyright 2016 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicab... | gambol99/kops | hack/verify-apimachinery.sh | Shell | apache-2.0 | 973 |
#!/bin/sh
. /usr/share/atomiadns/eventlibrary/afilias_sync/afilias_sync.conf
curl -s -k -u "$user:$pass" \
-H "Content-Type: text/xml" \
-X GET "$urlbase/nameservers/names" 2>&1 | tr "<" "\n" | grep "^name>" | cut -d ">" -f 2
exit 0
| atomia/atomiadns | syncer/eventlibrary/afilias_sync/afilias_get_nameservers.sh | Shell | isc | 237 |
#!/bin/bash
set -e
BASE_DIR=./script-size
## Ensure required directories are created.
mkdir -p ${BASE_DIR}/data
## Clean data
# Add separate(,) after script name.
# Add separate(,) after date. Don't retain time.
# Add separate(,) total size.
# Remove K. at the end.
# Clean up scriptname: Remove up to repository/
# C... | bankonmeOS/cust-live-deb | list-script-size.sh | Shell | gpl-2.0 | 1,946 |
#!/bin/sh
cd ${0%/*}
fails=0
i=0
tests=`ls valid/*.json | wc -l`
echo "1..${tests##* }"
for input in valid/*.json
do
expected="${input%.json}.parsed"
i=$((i+1))
if ! ../JSON.sh < "$input" | diff -u - "$expected"
then
echo "not ok $i - $input"
fails=$((fails+1))
else
echo "ok $i - $input"
f... | vbextreme/TelegramBotBash | core/JSON.sh/test/valid-test.sh | Shell | gpl-2.0 | 368 |
#!/bin/sh
docker build -t sismics/reader .
| Feitianyuan/reader | build.sh | Shell | gpl-2.0 | 43 |
#!/bin/sh
#############################################################################
#
# Purpose: This script will install viking
#
#############################################################################
# Copyright (c) 2010-2018 The Open Source Geospatial Foundation.
# Licensed under the GNU LGPL.
#
# This li... | astroidex/OSGeoLive | bin/retired/install_viking.sh | Shell | lgpl-2.1 | 1,451 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.